Index: applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/parser/MvcrParser.java
===================================================================
--- applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/parser/MvcrParser.java	(revision 15203)
+++ applications/editors/josm/plugins/czechaddress/src/org/openstreetmap/josm/plugins/czechaddress/parser/MvcrParser.java	(revision 15461)
@@ -1,5 +1,6 @@
 package org.openstreetmap.josm.plugins.czechaddress.parser;
 
-import org.openstreetmap.josm.plugins.czechaddress.addressdatabase.*;
+import static org.openstreetmap.josm.plugins.czechaddress.StringUtils.capitalize;
+
 import java.io.FileInputStream;
 import java.io.IOException;
@@ -7,8 +8,13 @@
 import java.util.zip.ZipEntry;
 import java.util.zip.ZipInputStream;
-
-
 import org.openstreetmap.josm.Main;
 import org.openstreetmap.josm.plugins.czechaddress.DatabaseLoadException;
+import org.openstreetmap.josm.plugins.czechaddress.addressdatabase.ElementWithHouses;
+import org.openstreetmap.josm.plugins.czechaddress.addressdatabase.ElementWithStreets;
+import org.openstreetmap.josm.plugins.czechaddress.addressdatabase.House;
+import org.openstreetmap.josm.plugins.czechaddress.addressdatabase.Region;
+import org.openstreetmap.josm.plugins.czechaddress.addressdatabase.Street;
+import org.openstreetmap.josm.plugins.czechaddress.addressdatabase.Suburb;
+import org.openstreetmap.josm.plugins.czechaddress.addressdatabase.ViToCi;
 import org.xml.sax.Attributes;
 import org.xml.sax.Locator;
@@ -48,7 +54,7 @@
             if (curRegion == null) {*/
                 curRegion = new Region(
-                    attributes.getValue("nazev"),
-                    attributes.getValue("kraj"),
-                    attributes.getValue("okres"));
+                    capitalize(attributes.getValue("nazev")),
+                    capitalize(attributes.getValue("kraj")),
+                    capitalize(attributes.getValue("okres")));
 
                 target.regions.add(curRegion);
@@ -60,5 +66,5 @@
             return;
 
-        // ========== PARSING ViToCI ========== //
+        // ========== PARSING ViToCi ========== //
         if (name.equals("obec")) {
 
@@ -69,5 +75,5 @@
             //curViToCi = curRegion.findViToCi(attributes.getValue("nazev"));
             //if (curViToCi == null) {
-                curViToCi = new ViToCi(attributes.getValue("nazev"));
+                curViToCi = new ViToCi(capitalize(attributes.getValue("nazev")));
             //    System.out.println("Parser: " + curViToCi);
                 curRegion.addViToCi(curViToCi);
@@ -86,5 +92,5 @@
             //curSuburb = curViToCi.findSuburb(attributes.getValue("nazev"));
             //if (curSuburb == null) {
-                curSuburb = new Suburb(attributes.getValue("nazev"));
+                curSuburb = new Suburb(capitalize(attributes.getValue("nazev")));
             //    System.out.println("Parser: " + curSuburb);
                 curViToCi.addSuburb(curSuburb);
@@ -105,5 +111,5 @@
             //curStreet = topElem.findStreet(attributes.getValue("nazev"));
             //if (curStreet == null) {
-                curStreet = new Street(attributes.getValue("nazev"));
+                curStreet = new Street(capitalize(attributes.getValue("nazev")));
             //    System.out.println("Parser: " + curStreet);
                 topElem.addStreet(curStreet);
